<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BleedingSourceZone Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d8f/class_bleeding_source_zone.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">BleedingSourceZone Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa152ca706a2ecc0421f423e1bec2ae86"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#aa152ca706a2ecc0421f423e1bec2ae86">BleedingSourceZone</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> selection_name, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> bit, <a class="el" href="../../d7/dfc/classvector.html">vector</a> offset, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orientation, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> bone, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> max_time, <a class="el" href="../../d4/dc3/classfloat.html">float</a> flow_modifier, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> particle_name)</td></tr>
<tr class="separator:aa152ca706a2ecc0421f423e1bec2ae86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb54bb41da546286f0902124e41ee1fa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#aeb54bb41da546286f0902124e41ee1fa">SetInvLocation</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> inv_slot)</td></tr>
<tr class="separator:aeb54bb41da546286f0902124e41ee1fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bb3e2e7e4a3bd00aacf74c2cfbc6a45"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#a6bb3e2e7e4a3bd00aacf74c2cfbc6a45">GetInvLocation</a> ()</td></tr>
<tr class="separator:a6bb3e2e7e4a3bd00aacf74c2cfbc6a45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65fabfdbbadd3a62201e31483dd051a5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#a65fabfdbbadd3a62201e31483dd051a5">~BleedingSourceZone</a> ()</td></tr>
<tr class="separator:a65fabfdbbadd3a62201e31483dd051a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdb654d09f048245b8cb1d070e667f93"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#acdb654d09f048245b8cb1d070e667f93">GetSelectionName</a> ()</td></tr>
<tr class="separator:acdb654d09f048245b8cb1d070e667f93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae34776bb3eed33c59be5847cdb4e65ed"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#ae34776bb3eed33c59be5847cdb4e65ed">GetMaxTime</a> ()</td></tr>
<tr class="separator:ae34776bb3eed33c59be5847cdb4e65ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a695bf4fafec65f97842bd283df34e471"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#a695bf4fafec65f97842bd283df34e471">GetParticleName</a> ()</td></tr>
<tr class="separator:a695bf4fafec65f97842bd283df34e471"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1829bbce52b9731cbcc6c59ab3ee82d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#a1829bbce52b9731cbcc6c59ab3ee82d5">GetBit</a> ()</td></tr>
<tr class="separator:a1829bbce52b9731cbcc6c59ab3ee82d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc9bf1019328e40cb5d352636c461fb7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#afc9bf1019328e40cb5d352636c461fb7">GetFlowModifier</a> ()</td></tr>
<tr class="separator:afc9bf1019328e40cb5d352636c461fb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a160e390c1ecac81553bf2bf66d36c8a4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#a160e390c1ecac81553bf2bf66d36c8a4">GetOrientation</a> ()</td></tr>
<tr class="separator:a160e390c1ecac81553bf2bf66d36c8a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2ecca713e054179feff5de22ccf5654"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#ad2ecca713e054179feff5de22ccf5654">GetOffset</a> ()</td></tr>
<tr class="separator:ad2ecca713e054179feff5de22ccf5654"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fac829b8c2af13060b19e7ed319f76f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#a3fac829b8c2af13060b19e7ed319f76f">GetBoneName</a> ()</td></tr>
<tr class="separator:a3fac829b8c2af13060b19e7ed319f76f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a3c5e076ca77377ce064dc848a4781015"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#a3c5e076ca77377ce064dc848a4781015">m_FireSelectionName</a></td></tr>
<tr class="separator:a3c5e076ca77377ce064dc848a4781015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4f5a1aa514aa91ad04cdfa7882bd385"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#af4f5a1aa514aa91ad04cdfa7882bd385">m_Bit</a></td></tr>
<tr class="separator:af4f5a1aa514aa91ad04cdfa7882bd385"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a393e9c0e296198b1ccb7b20745ee5608"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#a393e9c0e296198b1ccb7b20745ee5608">m_EmitterOffset</a></td></tr>
<tr class="separator:a393e9c0e296198b1ccb7b20745ee5608"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9a1c9f9b95ae0c7b04383e860ddbcd8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#af9a1c9f9b95ae0c7b04383e860ddbcd8">m_EmitterOrientation</a></td></tr>
<tr class="separator:af9a1c9f9b95ae0c7b04383e860ddbcd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2d05b727ac43a19df66f928ea615531"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#ad2d05b727ac43a19df66f928ea615531">m_Bone</a></td></tr>
<tr class="separator:ad2d05b727ac43a19df66f928ea615531"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94c05ff70907e704211eb1d81e83a628"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#a94c05ff70907e704211eb1d81e83a628">m_FlowModifier</a></td></tr>
<tr class="separator:a94c05ff70907e704211eb1d81e83a628"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace6973d7c5c7463158b8f78eaee3ea9f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#ace6973d7c5c7463158b8f78eaee3ea9f">m_MaxTime</a></td></tr>
<tr class="separator:ace6973d7c5c7463158b8f78eaee3ea9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77c247411a9cb3d18eb69c79eb62806c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#a77c247411a9cb3d18eb69c79eb62806c">m_ParticleName</a></td></tr>
<tr class="separator:a77c247411a9cb3d18eb69c79eb62806c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e5ed40da1bec4f432418e28ff8556fa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html#a3e5ed40da1bec4f432418e28ff8556fa">m_InventorySlotLocation</a></td></tr>
<tr class="separator:a3e5ed40da1bec4f432418e28ff8556fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00001">1</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa152ca706a2ecc0421f423e1bec2ae86" name="aa152ca706a2ecc0421f423e1bec2ae86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa152ca706a2ecc0421f423e1bec2ae86">&#9670;&#160;</a></span>BleedingSourceZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BleedingSourceZone::BleedingSourceZone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>selection_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>bit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orientation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>bone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>max_time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>flow_modifier</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>particle_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00013">13</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="a65fabfdbbadd3a62201e31483dd051a5" name="a65fabfdbbadd3a62201e31483dd051a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65fabfdbbadd3a62201e31483dd051a5">&#9670;&#160;</a></span>~BleedingSourceZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BleedingSourceZone::~BleedingSourceZone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00036">36</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1829bbce52b9731cbcc6c59ab3ee82d5" name="a1829bbce52b9731cbcc6c59ab3ee82d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1829bbce52b9731cbcc6c59ab3ee82d5">&#9670;&#160;</a></span>GetBit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> BleedingSourceZone::GetBit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00056">56</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="a3fac829b8c2af13060b19e7ed319f76f" name="a3fac829b8c2af13060b19e7ed319f76f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fac829b8c2af13060b19e7ed319f76f">&#9670;&#160;</a></span>GetBoneName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> BleedingSourceZone::GetBoneName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00076">76</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="afc9bf1019328e40cb5d352636c461fb7" name="afc9bf1019328e40cb5d352636c461fb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc9bf1019328e40cb5d352636c461fb7">&#9670;&#160;</a></span>GetFlowModifier()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> BleedingSourceZone::GetFlowModifier </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00061">61</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="a6bb3e2e7e4a3bd00aacf74c2cfbc6a45" name="a6bb3e2e7e4a3bd00aacf74c2cfbc6a45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bb3e2e7e4a3bd00aacf74c2cfbc6a45">&#9670;&#160;</a></span>GetInvLocation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> BleedingSourceZone::GetInvLocation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00031">31</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="ae34776bb3eed33c59be5847cdb4e65ed" name="ae34776bb3eed33c59be5847cdb4e65ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae34776bb3eed33c59be5847cdb4e65ed">&#9670;&#160;</a></span>GetMaxTime()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> BleedingSourceZone::GetMaxTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00046">46</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="ad2ecca713e054179feff5de22ccf5654" name="ad2ecca713e054179feff5de22ccf5654"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2ecca713e054179feff5de22ccf5654">&#9670;&#160;</a></span>GetOffset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> BleedingSourceZone::GetOffset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00071">71</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="a160e390c1ecac81553bf2bf66d36c8a4" name="a160e390c1ecac81553bf2bf66d36c8a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a160e390c1ecac81553bf2bf66d36c8a4">&#9670;&#160;</a></span>GetOrientation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> BleedingSourceZone::GetOrientation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00066">66</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="a695bf4fafec65f97842bd283df34e471" name="a695bf4fafec65f97842bd283df34e471"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a695bf4fafec65f97842bd283df34e471">&#9670;&#160;</a></span>GetParticleName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> BleedingSourceZone::GetParticleName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00051">51</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="acdb654d09f048245b8cb1d070e667f93" name="acdb654d09f048245b8cb1d070e667f93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdb654d09f048245b8cb1d070e667f93">&#9670;&#160;</a></span>GetSelectionName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> BleedingSourceZone::GetSelectionName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00041">41</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="aeb54bb41da546286f0902124e41ee1fa" name="aeb54bb41da546286f0902124e41ee1fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb54bb41da546286f0902124e41ee1fa">&#9670;&#160;</a></span>SetInvLocation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BleedingSourceZone::SetInvLocation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>inv_slot</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00026">26</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="af4f5a1aa514aa91ad04cdfa7882bd385" name="af4f5a1aa514aa91ad04cdfa7882bd385"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4f5a1aa514aa91ad04cdfa7882bd385">&#9670;&#160;</a></span>m_Bit</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> BleedingSourceZone::m_Bit</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00004">4</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="ad2d05b727ac43a19df66f928ea615531" name="ad2d05b727ac43a19df66f928ea615531"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2d05b727ac43a19df66f928ea615531">&#9670;&#160;</a></span>m_Bone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> BleedingSourceZone::m_Bone</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00007">7</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="a393e9c0e296198b1ccb7b20745ee5608" name="a393e9c0e296198b1ccb7b20745ee5608"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a393e9c0e296198b1ccb7b20745ee5608">&#9670;&#160;</a></span>m_EmitterOffset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> BleedingSourceZone::m_EmitterOffset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00005">5</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="af9a1c9f9b95ae0c7b04383e860ddbcd8" name="af9a1c9f9b95ae0c7b04383e860ddbcd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9a1c9f9b95ae0c7b04383e860ddbcd8">&#9670;&#160;</a></span>m_EmitterOrientation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> BleedingSourceZone::m_EmitterOrientation</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00006">6</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="a3c5e076ca77377ce064dc848a4781015" name="a3c5e076ca77377ce064dc848a4781015"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c5e076ca77377ce064dc848a4781015">&#9670;&#160;</a></span>m_FireSelectionName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> BleedingSourceZone::m_FireSelectionName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00003">3</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="a94c05ff70907e704211eb1d81e83a628" name="a94c05ff70907e704211eb1d81e83a628"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94c05ff70907e704211eb1d81e83a628">&#9670;&#160;</a></span>m_FlowModifier</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> BleedingSourceZone::m_FlowModifier</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00008">8</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="a3e5ed40da1bec4f432418e28ff8556fa" name="a3e5ed40da1bec4f432418e28ff8556fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e5ed40da1bec4f432418e28ff8556fa">&#9670;&#160;</a></span>m_InventorySlotLocation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> BleedingSourceZone::m_InventorySlotLocation</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00011">11</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="ace6973d7c5c7463158b8f78eaee3ea9f" name="ace6973d7c5c7463158b8f78eaee3ea9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace6973d7c5c7463158b8f78eaee3ea9f">&#9670;&#160;</a></span>m_MaxTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> BleedingSourceZone::m_MaxTime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00009">9</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<a id="a77c247411a9cb3d18eb69c79eb62806c" name="a77c247411a9cb3d18eb69c79eb62806c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77c247411a9cb3d18eb69c79eb62806c">&#9670;&#160;</a></span>m_ParticleName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> BleedingSourceZone::m_ParticleName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html#l00010">10</a> of file <a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/BleedingSources/<a class="el" href="../../dd/d23/_bleeding_source_zone_8c_source.html">BleedingSourceZone.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d8f/class_bleeding_source_zone.html">BleedingSourceZone</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
